RewriteEngine On
RewriteBase /
Options +FollowSymlinks
Options -Indexes

# Przekierowanie z www na bez www i z http na https w jednym kroku
RewriteCond %{HTTP_HOST} ^www\.(.+)$ [NC]
RewriteRule ^ https://%1%{REQUEST_URI} [R=301,L]

# Przekierowanie z http na https, jeśli nie zawiera www
RewriteCond %{HTTPS} off
RewriteRule ^ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]

# Usuwanie końcowego slash'a dla niekatalogów
RewriteCond %{REQUEST_FILENAME} !-d
RewriteCond %{REQUEST_URI} !^/admin/.*$ [NC] # Wyklucza ścieżki rozpoczynające się od "admin/"
RewriteCond %{REQUEST_URI} (.+)/$
RewriteRule ^ %1 [R=301,L]

RewriteCond %{REQUEST_URI}  !^(.*)/libraries/(.*) [NC]
RewriteCond %{REQUEST_URI}  !^(.*)/layout/(.*) [NC]
RewriteRule ^admin/([^/]*)/([^/]*)/(.*)$ admin/index.php?module=$1&action=$2&$3 [L]

RewriteRule ^admin/$ admin/index.php [L]

RewriteRule ^wyszukiwarka/(.*)/([0-9]*)$ index.php?module=search&action=search_results&query=$1&bs=$2 [L]
RewriteRule ^wyszukiwarka/(.*)$ index.php?module=search&action=search_results&query=$1&bs=1 [L]
RewriteRule ^zamowienie/([a-zA-Z0-9-]*)$ index.php?module=shop_order&action=order_details&order_hash=$1 [L]
RewriteRule ^potwierdzenie-platnosci/([a-zA-Z0-9-]*)$ index.php?module=shop_order&action=payment_confirmation&order_hash=$1 [L]
RewriteRule ^tpay-status$ index.php?module=shop_order&action=payment_status_tpay%{QUERY_STRING} [L]
RewriteRule ^platnosc-status$ index.php?module=shop_order&action=payment_status_hotpay%{QUERY_STRING} [L]
RewriteRule ^przelewy24-status$ index.php?module=shop_order&action=payment_status_przelewy24pl%{QUERY_STRING} [L]
RewriteRule ^koszyk$ index.php?module=shop_basket&action=main_view [L]
RewriteRule ^koszyk-podsumowanie$ index.php?module=shop_basket&action=summary_view [L]
RewriteRule ^zloz-zamowienie$ index.php?module=shop_basket&action=basket_save [L]
RewriteRule ^rejestracja$ index.php?module=shop_client&action=register_form [L]
RewriteRule ^logowanie$ index.php?module=shop_client&action=login_form [L]
RewriteRule ^wylogowanie$ index.php?module=shop_client&action=logout [L]
RewriteRule ^odzyskiwanie-hasla$ index.php?module=shop_client&action=recover_password [L]
RewriteRule ^panel-klienta/zamowienia$ index.php?module=shop_client&action=client_orders [L]
RewriteRule ^panel-klienta/adresy$ index.php?module=shop_client&action=client_addresses [L]
RewriteRule ^panel-klienta/nowy-adres$ index.php?module=shop_client&action=address_edit [L]
RewriteRule ^panel-klienta/edytuj-adres/([0-9]*)$ index.php?module=shop_client&action=address_edit&id=$1 [L]
RewriteRule ^panel-klienta/usun-adres/([0-9]*)$ index.php?module=shop_client&action=address_delete&id=$1 [L]
RewriteRule ^thumb/([0-9]*)/([0-9]*)/(.*)$ /libraries/thumb.php?img=$3&w=$1&h=$2 [L]

RewriteCond %{REQUEST_URI}  ^/shopBasket/(.*)/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]
RewriteCond %{REQUEST_URI}  ^/shopClient/(.*)/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]
RewriteCond %{REQUEST_URI}  ^/shopProduct/(.*)/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]
RewriteCond %{REQUEST_URI}  ^/shopCoupon/(.*)/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]
RewriteCond %{REQUEST_URI}  ^/search/(.*)/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)/(.*)$ index.php?module=$1&action=$2&$3 [L]

RewriteCond %{REQUEST_URI}  ^/shopBasket/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)$ index.php?module=$1&action=$2 [L]
RewriteCond %{REQUEST_URI}  ^/shopClient/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)$ index.php?module=$1&action=$2 [L]
RewriteCond %{REQUEST_URI}  ^/shopProduct/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)$ index.php?module=$1&action=$2 [L]
RewriteCond %{REQUEST_URI}  ^/shopCoupon/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)$ index.php?module=$1&action=$2 [L]
RewriteCond %{REQUEST_URI}  ^/search/(.*) [NC]
RewriteRule ^([^/]*)/([^/]*)$ index.php?module=$1&action=$2 [L]

RewriteCond %{THE_REQUEST} ^[A-Z]{3,9}\ /index.php
RewriteRule ^ /%1 [R=301,L]
<IfModule mod_deflate.c>
AddOutputFilterByType DEFLATE text/html text/plain text/xml application/xml application/xhtml+xml text/css text/javascript application/javascript application/x-javascript
</IfModule>
<IfModule mod_headers.c>
Header set Access-Control-Allow-Origin "*"
</IfModule>
<IfModule mod_expires.c>
ExpiresActive on
ExpiresDefault                                      "access plus 1 month"
ExpiresByType text/css                              "access plus 1 year"
ExpiresByType application/json                      "access plus 0 seconds"
ExpiresByType application/xml                       "access plus 0 seconds"
ExpiresByType text/xml                              "access plus 0 seconds"
ExpiresByType image/x-icon                          "access plus 1 week"
ExpiresByType text/x-component                      "access plus 1 month"
ExpiresByType text/html                             "access plus 0 seconds"
ExpiresByType application/javascript                "access plus 1 year"
ExpiresByType application/x-web-app-manifest+json   "access plus 0 seconds"
ExpiresByType text/cache-manifest                   "access plus 0 seconds"
ExpiresByType audio/ogg                             "access plus 1 month"
ExpiresByType image/gif                             "access plus 1 month"
ExpiresByType image/jpeg                            "access plus 1 month"
ExpiresByType image/png                             "access plus 1 month"
ExpiresByType video/mp4                             "access plus 1 month"
ExpiresByType video/ogg                             "access plus 1 month"
ExpiresByType video/webm                            "access plus 1 month"
ExpiresByType application/atom+xml                  "access plus 1 hour"
ExpiresByType application/rss+xml                   "access plus 1 hour"
ExpiresByType application/font-woff                 "access plus 1 month"
ExpiresByType application/vnd.ms-fontobject         "access plus 1 month"
ExpiresByType application/x-font-ttf                "access plus 1 month"
ExpiresByType font/opentype                         "access plus 1 month"
ExpiresByType image/svg+xml                         "access plus 1 month"
</IfModule>
<Files *.conf>
  Order Deny,Allow
  Deny from all
</Files>
<Files *.log>
  Order Deny,Allow
  Deny from all
</Files>
<Files *.ini>
  Order Deny,Allow
  Deny from all
</Files>
RewriteRule ^pl/$ index.php?a=change_language&id=pl [L]
RewriteRule ^newsletter/signin/$ index.php?module=newsletter&action=signin [L]
RewriteRule ^newsletter/confirm/hash=(.*)$ index.php?module=newsletter&action=confirm&hash=$1 [L]
RewriteRule ^newsletter/unsubscribe/hash=(.*)$ index.php?module=newsletter&action=unsubscribe&hash=$1 [L]
RewriteRule ^producenci$ index.php?module=shop_producer&action=list&layout_id=2&%{QUERY_STRING}  [L]
RewriteRule ^producent/bibs$ index.php?module=shop_producer&action=products&producer_id=4&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/bibs/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=4&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/twistshake$ index.php?module=shop_producer&action=products&producer_id=8&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/twistshake/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=8&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/ezpz$ index.php?module=shop_producer&action=products&producer_id=9&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/ezpz/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=9&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/mushie$ index.php?module=shop_producer&action=products&producer_id=10&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/mushie/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=10&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/beaba$ index.php?module=shop_producer&action=products&producer_id=11&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/beaba/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=11&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/bbox$ index.php?module=shop_producer&action=products&producer_id=12&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/bbox/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=12&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/matchstick-monkey$ index.php?module=shop_producer&action=products&producer_id=13&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/matchstick-monkey/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=13&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/maud-n-lil$ index.php?module=shop_producer&action=products&producer_id=14&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/maud-n-lil/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=14&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/zebra-me$ index.php?module=shop_producer&action=products&producer_id=15&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/zebra-me/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=15&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/sylveco$ index.php?module=shop_producer&action=products&producer_id=16&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/sylveco/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=16&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/rex-london$ index.php?module=shop_producer&action=products&producer_id=17&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/rex-london/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=17&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/babyono$ index.php?module=shop_producer&action=products&producer_id=18&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/babyono/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=18&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/liliputiens$ index.php?module=shop_producer&action=products&producer_id=19&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/liliputiens/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=19&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/suavinex$ index.php?module=shop_producer&action=products&producer_id=20&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/suavinex/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=20&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/kiokids$ index.php?module=shop_producer&action=products&producer_id=21&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/kiokids/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=21&layout_id=2&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^producent/marianekpl$ index.php?module=shop_producer&action=products&producer_id=22&layout_id=2&%{QUERY_STRING} [L]
RewriteRule ^producent/marianekpl/([0-9]+)$ index.php?module=shop_producer&action=products&producer_id=22&layout_id=2&bs=$1&%{QUERY_STRING} [L]

RewriteRule ^okazje$ index.php?category=112&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^okazje/([0-9]+)$ index.php?category=112&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^okazje/1$ okazje [R=301,L]
RewriteRule ^prezenty-na-boze-narodzenie$ index.php?category=138&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-boze-narodzenie/([0-9]+)$ index.php?category=138&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-boze-narodzenie/1$ prezenty-na-boze-narodzenie [R=301,L]
RewriteRule ^prezenty-na-wielkanoc$ index.php?category=142&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-wielkanoc/([0-9]+)$ index.php?category=142&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-wielkanoc/1$ prezenty-na-wielkanoc [R=301,L]
RewriteRule ^prezenty-na-chrzest-swiety$ index.php?category=123&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-chrzest-swiety/([0-9]+)$ index.php?category=123&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-chrzest-swiety/1$ prezenty-na-chrzest-swiety [R=301,L]
RewriteRule ^prezenty-na-dzien-dziewczynek$ index.php?category=113&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziewczynek/([0-9]+)$ index.php?category=113&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziewczynek/1$ prezenty-na-dzien-dziewczynek [R=301,L]
RewriteRule ^prezenty-na-dzien-chlopaka$ index.php?category=116&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-chlopaka/([0-9]+)$ index.php?category=116&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-chlopaka/1$ prezenty-na-dzien-chlopaka [R=301,L]
RewriteRule ^prezenty-na-dzien-babci$ index.php?category=118&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-babci/([0-9]+)$ index.php?category=118&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-babci/1$ prezenty-na-dzien-babci [R=301,L]
RewriteRule ^prezenty-na-dzien-dziadka$ index.php?category=119&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziadka/([0-9]+)$ index.php?category=119&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziadka/1$ prezenty-na-dzien-dziadka [R=301,L]
RewriteRule ^prezenty-na-dzien-dziecka$ index.php?category=144&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziecka/([0-9]+)$ index.php?category=144&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-dziecka/1$ prezenty-na-dzien-dziecka [R=301,L]
RewriteRule ^prezenty-na-dzien-mamy$ index.php?category=133&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-mamy/([0-9]+)$ index.php?category=133&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-mamy/1$ prezenty-na-dzien-mamy [R=301,L]
RewriteRule ^prezenty-na-dzien-ojca$ index.php?category=134&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-ojca/([0-9]+)$ index.php?category=134&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-dzien-ojca/1$ prezenty-na-dzien-ojca [R=301,L]
RewriteRule ^prezent-na-komunie-swieta$ index.php?category=152&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezent-na-komunie-swieta/([0-9]+)$ index.php?category=152&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezent-na-komunie-swieta/1$ prezent-na-komunie-swieta [R=301,L]
RewriteRule ^prezenty-na-koniec-roku-szkolnego$ index.php?category=149&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-koniec-roku-szkolnego/([0-9]+)$ index.php?category=149&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-koniec-roku-szkolnego/1$ prezenty-na-koniec-roku-szkolnego [R=301,L]
RewriteRule ^prezent-na-slub-wesele$ index.php?category=158&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezent-na-slub-wesele/([0-9]+)$ index.php?category=158&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezent-na-slub-wesele/1$ prezent-na-slub-wesele [R=301,L]
RewriteRule ^prezenty-na-walentynki$ index.php?category=130&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-walentynki/([0-9]+)$ index.php?category=130&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-na-walentynki/1$ prezenty-na-walentynki [R=301,L]
RewriteRule ^prezenty-z-okazji-narodzin-dziecka$ index.php?category=122&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-z-okazji-narodzin-dziecka/([0-9]+)$ index.php?category=122&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-z-okazji-narodzin-dziecka/1$ prezenty-z-okazji-narodzin-dziecka [R=301,L]
RewriteRule ^prezenty-z-okazji-urodzin$ index.php?category=155&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-z-okazji-urodzin/([0-9]+)$ index.php?category=155&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-z-okazji-urodzin/1$ prezenty-z-okazji-urodzin [R=301,L]
RewriteRule ^dla-kogo$ index.php?category=114&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^dla-kogo/([0-9]+)$ index.php?category=114&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^dla-kogo/1$ dla-kogo [R=301,L]
RewriteRule ^prezenty-dla-dziewczynek$ index.php?category=115&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-dziewczynek/([0-9]+)$ index.php?category=115&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-dziewczynek/1$ prezenty-dla-dziewczynek [R=301,L]
RewriteRule ^prezenty-dla-chlopcow$ index.php?category=117&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-chlopcow/([0-9]+)$ index.php?category=117&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-chlopcow/1$ prezenty-dla-chlopcow [R=301,L]
RewriteRule ^prezenty-dla-niej$ index.php?category=131&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-niej/([0-9]+)$ index.php?category=131&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-niej/1$ prezenty-dla-niej [R=301,L]
RewriteRule ^prezenty-dla-niego$ index.php?category=132&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-niego/([0-9]+)$ index.php?category=132&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-niego/1$ prezenty-dla-niego [R=301,L]
RewriteRule ^prezenty-dla-babci$ index.php?category=120&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-babci/([0-9]+)$ index.php?category=120&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-babci/1$ prezenty-dla-babci [R=301,L]
RewriteRule ^prezenty-dla-dziadka$ index.php?category=121&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-dziadka/([0-9]+)$ index.php?category=121&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-dziadka/1$ prezenty-dla-dziadka [R=301,L]
RewriteRule ^prezenty-dla-mamy$ index.php?category=135&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-mamy/([0-9]+)$ index.php?category=135&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-mamy/1$ prezenty-dla-mamy [R=301,L]
RewriteRule ^prezenty-dla-taty$ index.php?category=136&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-taty/([0-9]+)$ index.php?category=136&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-dla-taty/1$ prezenty-dla-taty [R=301,L]
RewriteRule ^prezenty-wg-rodzaju$ index.php?category=124&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezenty-wg-rodzaju/([0-9]+)$ index.php?category=124&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^prezenty-wg-rodzaju/1$ prezenty-wg-rodzaju [R=301,L]
RewriteRule ^breloczki$ index.php?category=127&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^breloczki/([0-9]+)$ index.php?category=127&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^breloczki/1$ breloczki [R=301,L]
RewriteRule ^dodatki-do-pokoju-dzieciecego$ index.php?category=154&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^dodatki-do-pokoju-dzieciecego/([0-9]+)$ index.php?category=154&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^dodatki-do-pokoju-dzieciecego/1$ dodatki-do-pokoju-dzieciecego [R=301,L]
RewriteRule ^girlandy$ index.php?category=140&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^girlandy/([0-9]+)$ index.php?category=140&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^girlandy/1$ girlandy [R=301,L]
RewriteRule ^gry$ index.php?category=145&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^gry/([0-9]+)$ index.php?category=145&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^gry/1$ gry [R=301,L]
RewriteRule ^kartki-z-zyczeniami$ index.php?category=139&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kartki-z-zyczeniami/([0-9]+)$ index.php?category=139&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kartki-z-zyczeniami/1$ kartki-z-zyczeniami [R=301,L]
RewriteRule ^magnesy-na-lodowke$ index.php?category=137&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^magnesy-na-lodowke/([0-9]+)$ index.php?category=137&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^magnesy-na-lodowke/1$ magnesy-na-lodowke [R=301,L]
RewriteRule ^medale$ index.php?category=150&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^medale/([0-9]+)$ index.php?category=150&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^medale/1$ medale [R=301,L]
RewriteRule ^metryczki$ index.php?category=151&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^metryczki/([0-9]+)$ index.php?category=151&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^metryczki/1$ metryczki [R=301,L]
RewriteRule ^obrazy-i-ramki$ index.php?category=129&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^obrazy-i-ramki/([0-9]+)$ index.php?category=129&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^obrazy-i-ramki/1$ obrazy-i-ramki [R=301,L]
RewriteRule ^organizery$ index.php?category=157&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^organizery/([0-9]+)$ index.php?category=157&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^organizery/1$ organizery [R=301,L]
RewriteRule ^ozdoby-choinkowe$ index.php?category=148&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^ozdoby-choinkowe/([0-9]+)$ index.php?category=148&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^ozdoby-choinkowe/1$ ozdoby-choinkowe [R=301,L]
RewriteRule ^ozdoby-wielkanocne$ index.php?category=143&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^ozdoby-wielkanocne/([0-9]+)$ index.php?category=143&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^ozdoby-wielkanocne/1$ ozdoby-wielkanocne [R=301,L]
RewriteRule ^podkladki$ index.php?category=147&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^podkladki/([0-9]+)$ index.php?category=147&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^podkladki/1$ podkladki [R=301,L]
RewriteRule ^pudelka-skrzynki-okolicznosciowe$ index.php?category=156&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pudelka-skrzynki-okolicznosciowe/([0-9]+)$ index.php?category=156&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pudelka-skrzynki-okolicznosciowe/1$ pudelka-skrzynki-okolicznosciowe [R=301,L]
RewriteRule ^tabliczki-do-zdjec$ index.php?category=126&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^tabliczki-do-zdjec/([0-9]+)$ index.php?category=126&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^tabliczki-do-zdjec/1$ tabliczki-do-zdjec [R=301,L]
RewriteRule ^zakladki-do-ksiazek$ index.php?category=146&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^zakladki-do-ksiazek/([0-9]+)$ index.php?category=146&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^zakladki-do-ksiazek/1$ zakladki-do-ksiazek [R=301,L]
RewriteRule ^zaproszenia-prosby$ index.php?category=141&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^zaproszenia-prosby/([0-9]+)$ index.php?category=141&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^zaproszenia-prosby/1$ zaproszenia-prosby [R=301,L]
RewriteRule ^zawieszki-z-czerwona-kokardka$ index.php?category=32&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^zawieszki-z-czerwona-kokardka/([0-9]+)$ index.php?category=32&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^zawieszki-z-czerwona-kokardka/1$ zawieszki-z-czerwona-kokardka [R=301,L]
RewriteRule ^zawieszki-do-smoczkow-i-gryzakow$ index.php?category=44&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^zawieszki-do-smoczkow-i-gryzakow/([0-9]+)$ index.php?category=44&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^zawieszki-do-smoczkow-i-gryzakow/1$ zawieszki-do-smoczkow-i-gryzakow [R=301,L]
RewriteRule ^wieszaki$ index.php?category=128&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^wieszaki/([0-9]+)$ index.php?category=128&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^wieszaki/1$ wieszaki [R=301,L]
RewriteRule ^pielegnacja$ index.php?category=46&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pielegnacja/([0-9]+)$ index.php?category=46&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pielegnacja/1$ pielegnacja [R=301,L]
RewriteRule ^kosmetyki-dla-dzieci$ index.php?category=79&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kosmetyki-dla-dzieci/([0-9]+)$ index.php?category=79&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kosmetyki-dla-dzieci/1$ kosmetyki-dla-dzieci [R=301,L]
RewriteRule ^kremy-i-oliwki-pielegnacyjne$ index.php?category=81&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kremy-i-oliwki-pielegnacyjne/([0-9]+)$ index.php?category=81&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kremy-i-oliwki-pielegnacyjne/1$ kremy-i-oliwki-pielegnacyjne [R=301,L]
RewriteRule ^pasty-do-zebow$ index.php?category=80&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pasty-do-zebow/([0-9]+)$ index.php?category=80&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pasty-do-zebow/1$ pasty-do-zebow [R=301,L]
RewriteRule ^plyny-do-kapieli-mydla-dla-dzieci$ index.php?category=83&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^plyny-do-kapieli-mydla-dla-dzieci/([0-9]+)$ index.php?category=83&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^plyny-do-kapieli-mydla-dla-dzieci/1$ plyny-do-kapieli-mydla-dla-dzieci [R=301,L]
RewriteRule ^szampony-i-odzywki-do-wlosow-dla-dzieci$ index.php?category=84&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^szampony-i-odzywki-do-wlosow-dla-dzieci/([0-9]+)$ index.php?category=84&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^szampony-i-odzywki-do-wlosow-dla-dzieci/1$ szampony-i-odzywki-do-wlosow-dla-dzieci [R=301,L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci$ index.php?category=86&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci/([0-9]+)$ index.php?category=86&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci/1$ akcesoria-do-kapieli-dla-niemowlat-i-dzieci [R=301,L]
RewriteRule ^ksiazeczki-i-zabawki-do-kapieli$ index.php?category=90&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^ksiazeczki-i-zabawki-do-kapieli/([0-9]+)$ index.php?category=90&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^ksiazeczki-i-zabawki-do-kapieli/1$ ksiazeczki-i-zabawki-do-kapieli [R=301,L]
RewriteRule ^termometry-do-wody$ index.php?category=87&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^termometry-do-wody/([0-9]+)$ index.php?category=87&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^termometry-do-wody/1$ termometry-do-wody [R=301,L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat$ index.php?category=96&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat/([0-9]+)$ index.php?category=96&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat/1$ myjki-i-gabki-dla-dzieci-i-niemowlat [R=301,L]
RewriteRule ^smoczki-uspokajajace$ index.php?category=47&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^smoczki-uspokajajace/([0-9]+)$ index.php?category=47&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^smoczki-uspokajajace/1$ smoczki-uspokajajace [R=301,L]
RewriteRule ^smoczki-kauczukowe$ index.php?category=49&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^smoczki-kauczukowe/([0-9]+)$ index.php?category=49&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^smoczki-kauczukowe/1$ smoczki-kauczukowe [R=301,L]
RewriteRule ^smoczki-silikonowe$ index.php?category=50&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^smoczki-silikonowe/([0-9]+)$ index.php?category=50&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^smoczki-silikonowe/1$ smoczki-silikonowe [R=301,L]
RewriteRule ^pojemniki-na-smoczek$ index.php?category=48&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pojemniki-na-smoczek/([0-9]+)$ index.php?category=48&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pojemniki-na-smoczek/1$ pojemniki-na-smoczek [R=301,L]
RewriteRule ^gryzaki-dla-niemowlat$ index.php?category=53&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^gryzaki-dla-niemowlat/([0-9]+)$ index.php?category=53&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^gryzaki-dla-niemowlat/1$ gryzaki-dla-niemowlat [R=301,L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat$ index.php?category=88&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat/([0-9]+)$ index.php?category=88&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat/1$ artykuly-higieniczne-dla-dzieci-i-niemowlat [R=301,L]
RewriteRule ^aspiratory-i-gruszki$ index.php?category=89&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^aspiratory-i-gruszki/([0-9]+)$ index.php?category=89&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^aspiratory-i-gruszki/1$ aspiratory-i-gruszki [R=301,L]
RewriteRule ^pielegnacja-paznokci$ index.php?category=94&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pielegnacja-paznokci/([0-9]+)$ index.php?category=94&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pielegnacja-paznokci/1$ pielegnacja-paznokci [R=301,L]
RewriteRule ^szczoteczki-do-zebow-dla-niemowlat-i-dzieci$ index.php?category=54&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^szczoteczki-do-zebow-dla-niemowlat-i-dzieci/([0-9]+)$ index.php?category=54&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^szczoteczki-do-zebow-dla-niemowlat-i-dzieci/1$ szczoteczki-do-zebow-dla-niemowlat-i-dzieci [R=301,L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci$ index.php?category=95&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci/([0-9]+)$ index.php?category=95&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci/1$ szczotki-i-grzebienie-do-wlosow-dla-dzieci [R=301,L]
RewriteRule ^pozostale$ index.php?category=97&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pozostale/([0-9]+)$ index.php?category=97&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pozostale/1$ pozostale [R=301,L]
RewriteRule ^kocyki-minky$ index.php?category=5&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kocyki-minky/([0-9]+)$ index.php?category=5&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kocyki-minky/1$ kocyki-minky [R=301,L]
RewriteRule ^kocyki-niemowlece-minky-50x70$ index.php?category=6&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kocyki-niemowlece-minky-50x70/([0-9]+)$ index.php?category=6&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kocyki-niemowlece-minky-50x70/1$ kocyki-niemowlece-minky-50x70 [R=301,L]
RewriteRule ^kocyki-sredniaka-minky-75x100$ index.php?category=7&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kocyki-sredniaka-minky-75x100/([0-9]+)$ index.php?category=7&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kocyki-sredniaka-minky-75x100/1$ kocyki-sredniaka-minky-75x100 [R=301,L]
RewriteRule ^kocyki-przedszkolaka-minky-100x130$ index.php?category=8&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kocyki-przedszkolaka-minky-100x130/([0-9]+)$ index.php?category=8&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kocyki-przedszkolaka-minky-100x130/1$ kocyki-przedszkolaka-minky-100x130 [R=301,L]
RewriteRule ^karmienie$ index.php?category=61&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^karmienie/([0-9]+)$ index.php?category=61&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^karmienie/1$ karmienie [R=301,L]
RewriteRule ^kubki-i-bidony$ index.php?category=64&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kubki-i-bidony/([0-9]+)$ index.php?category=64&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kubki-i-bidony/1$ kubki-i-bidony [R=301,L]
RewriteRule ^sliniaki$ index.php?category=62&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^sliniaki/([0-9]+)$ index.php?category=62&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^sliniaki/1$ sliniaki [R=301,L]
RewriteRule ^sztucce-i-naczynia-dla-dzieci$ index.php?category=67&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^sztucce-i-naczynia-dla-dzieci/([0-9]+)$ index.php?category=67&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^sztucce-i-naczynia-dla-dzieci/1$ sztucce-i-naczynia-dla-dzieci [R=301,L]
RewriteRule ^sztucce$ index.php?category=69&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^sztucce/([0-9]+)$ index.php?category=69&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^sztucce/1$ sztucce [R=301,L]
RewriteRule ^pojemniki-na-jedzenie$ index.php?category=99&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pojemniki-na-jedzenie/([0-9]+)$ index.php?category=99&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^pojemniki-na-jedzenie/1$ pojemniki-na-jedzenie [R=301,L]
RewriteRule ^talerzyki-i-miseczki$ index.php?category=70&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^talerzyki-i-miseczki/([0-9]+)$ index.php?category=70&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^talerzyki-i-miseczki/1$ talerzyki-i-miseczki [R=301,L]
RewriteRule ^akcesoria-do-karmienia$ index.php?category=68&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-karmienia/([0-9]+)$ index.php?category=68&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-karmienia/1$ akcesoria-do-karmienia [R=301,L]
RewriteRule ^gry-dla-dzieci$ index.php?category=107&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^gry-dla-dzieci/([0-9]+)$ index.php?category=107&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^gry-dla-dzieci/1$ gry-dla-dzieci [R=301,L]
RewriteRule ^outlet$ index.php?category=27&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^outlet/([0-9]+)$ index.php?category=27&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^outlet/1$ outlet [R=301,L]
RewriteCond %{REQUEST_URI} ^/home$
RewriteRule ^(.*)$ http://www.marianek.pl/ [R=permanent,L]
RewriteCond %{REQUEST_URI} ^/home-1$
RewriteRule ^(.*)$ http://www.marianek.pl/ [R=permanent,L]
RewriteRule ^$ index.php?a=page&id=6&lang=pl [L]
RewriteRule ^home$ index.php?a=page&id=6&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^home/([0-9]+)$ index.php?a=page&id=6&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^home/1$ home [R=301,L]
RewriteRule ^regulamin$ index.php?a=page&id=12&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^regulamin/([0-9]+)$ index.php?a=page&id=12&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^regulamin/1$ regulamin [R=301,L]
RewriteRule ^o-nas$ index.php?a=page&id=10&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^o-nas/([0-9]+)$ index.php?a=page&id=10&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^o-nas/1$ o-nas [R=301,L]
RewriteRule ^formy-platnosci$ index.php?a=page&id=13&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^formy-platnosci/([0-9]+)$ index.php?a=page&id=13&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^formy-platnosci/1$ formy-platnosci [R=301,L]
RewriteRule ^koszty-dostawy$ index.php?a=page&id=14&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^koszty-dostawy/([0-9]+)$ index.php?a=page&id=14&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^koszty-dostawy/1$ koszty-dostawy [R=301,L]
RewriteRule ^zwroty-i-reklamacje$ index.php?a=page&id=15&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^zwroty-i-reklamacje/([0-9]+)$ index.php?a=page&id=15&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^zwroty-i-reklamacje/1$ zwroty-i-reklamacje [R=301,L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci$ index.php?a=page&id=102&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci/([0-9]+)$ index.php?a=page&id=102&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^akcesoria-do-kapieli-dla-niemowlat-i-dzieci/1$ akcesoria-do-kapieli-dla-niemowlat-i-dzieci [R=301,L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat$ index.php?a=page&id=113&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat/([0-9]+)$ index.php?a=page&id=113&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^myjki-i-gabki-dla-dzieci-i-niemowlat/1$ myjki-i-gabki-dla-dzieci-i-niemowlat [R=301,L]
RewriteRule ^termometry-do-wody$ index.php?a=page&id=104&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^termometry-do-wody/([0-9]+)$ index.php?a=page&id=104&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^termometry-do-wody/1$ termometry-do-wody [R=301,L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat$ index.php?a=page&id=103&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat/([0-9]+)$ index.php?a=page&id=103&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^artykuly-higieniczne-dla-dzieci-i-niemowlat/1$ artykuly-higieniczne-dla-dzieci-i-niemowlat [R=301,L]
RewriteRule ^aspiratory-i-gruszki$ index.php?a=page&id=105&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^aspiratory-i-gruszki/([0-9]+)$ index.php?a=page&id=105&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^aspiratory-i-gruszki/1$ aspiratory-i-gruszki [R=301,L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci$ index.php?a=page&id=111&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci/([0-9]+)$ index.php?a=page&id=111&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^szczotki-i-grzebienie-do-wlosow-dla-dzieci/1$ szczotki-i-grzebienie-do-wlosow-dla-dzieci [R=301,L]
RewriteRule ^kontakt$ index.php?a=page&id=5&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kontakt/([0-9]+)$ index.php?a=page&id=5&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^kontakt/1$ kontakt [R=301,L]
RewriteRule ^sztucce$ index.php?a=page&id=86&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^sztucce/([0-9]+)$ index.php?a=page&id=86&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^sztucce/1$ sztucce [R=301,L]
RewriteRule ^blog$ index.php?a=page&id=9&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^blog/([0-9]+)$ index.php?a=page&id=9&lang=pl&bs=$1&%{QUERY_STRING} [L]
RewriteRule ^blog/1$ blog [R=301,L]
RewriteRule ^wspieranie-odpornosci-zima-u-dzieci$ index.php?article=13&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^kolka-u-niemowlat-przyczyny-objawy-leczenie$ index.php?article=11&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^spacery-z-niemowlakiem-jak-sie-do-nich-przygotowac$ index.php?article=12&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^smoczek-dla-niemowlaka-wrog-czy-przyjaciel$ index.php?article=14&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^czerwona-kokarda-do-wozka-na-szczescie-i-nie-tylko$ index.php?article=15&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^z-czego-powinno-pic-niemowle-bidon-kubek-niekapek-a-moze-jeszcze-cos-innego$ index.php?article=16&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^jak-wybrac-kocyk-i-poduszke-niemowlaka$ index.php?article=10&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^rozszerzanie-diety-niemowlecia-kiedy-i-jak-zaczac$ index.php?article=17&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^co-warto-zabrac-jadac-na-urlop-z-dziecmi$ index.php?article=18&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^jaki-wybrac-gryzak-dla-niemowlaka$ index.php?article=19&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^prezent-dla-noworodka-oryginalne-prezenty-dla-niemowlat$ index.php?article=20&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^pielegnacja-noworodka-jak-prawidlowo-dbac-o-higiene-dziecka$ index.php?article=21&lang=pl&%{QUERY_STRING} [L]
RewriteRule ^smoczki-bibs-czy-warto-kupowac$ index.php?article=22&lang=pl&%{QUERY_STRING} [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule ^ index.php [L]